Name:		worker
Version:	2.19.2
Release:	1%{?dist}
Summary:	File Manager for the X11

License:	GPLv2+
URL:		http://boomerangsworld.de/worker
Source0:	http://boomerangsworld.de/cms/%{name}/downloads/%{name}-%{version}.tar.bz2
BuildRequires:	libX11-devel  
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
%description
A X11 file-manager that features low requirements and easy to access archives.

%prep
%setup -q

#Fix Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
--remove-category="FileManager"		\
--add-category="System;FileTools"	\
%{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING THANKS
%{_datadir}/applications/worker.desktop
%{_datadir}/pixmaps/WorkerIcon*.xpm
%{_mandir}/man1/worker.1*
%{_mandir}/fr/man1/worker.1*
%{_mandir}/it/man1/worker.1*
%{_datadir}/worker/
%{_bindir}/worker


%changelog
* Sun Apr 08 2012 Nathan Owe <ndowens at fedoraproject.org> 2.19.2-1
- Updated version

* Sat Feb 25 2012 Nathan Owe <ndowens at fedoraproject.org> 2.19.1-1
- Updated version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 04 2011 Nathan Owe <ndowens at fedoraproject.org> 2.18.1-1
- Updated to newest version

* Wed Aug 17 2011 Nathan Owe <ndowens at fedoraproject.org> 2.18.0-7
- Fixed defattr typo

* Tue Jul 26 2011 Nathan Owe <ndowens at fedoraproject.org> 2.18.0-6
- Changed email address
- Added 'BuildRoot' for EPEL compatability
- Added defattr and clean section for EPEL

* Tue Jul 19 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-5
- Convert Changelog to UTF-8

* Tue Jul 19 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-4
- Convert Man pages to UTF-8

* Mon Jul 18 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-3
- Fixed Directory Permission problem

* Mon Jul 18 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-2
- Removed Requires

* Sat Jul 16 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-1
- Inital Release
